Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 01 Oct 2014, 08:19
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Lib for Wengo phone is missing
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [8 Posts]  
Author Message
Whitesnow


Joined: 20 Nov 2007
Posts: 103
Location: Italy

PostPosted: Sat 24 Apr 2010, 09:02    Post subject:  Lib for Wengo phone is missing
Subject description: Could one post it here?
 

Hi everybody,

I downloaded wengophone_2.1.2.dfsg0-6ubuntu1_i386.deb, but I can't use it because one lib is missing.
I can't find it nowhere.

# qtwengophone
qtwengophone: error while loading shared libraries: libboost_program_options-gcc42-1_34_1.so.1.34.1: cannot open shared object file: No such file or directory
#

Thanks in advance.

_________________
*.* Snow *.* Wink
My repo: http://qualapinna.dyndns.org/repo
My blog: http://qualapinna.dyndns.org
Back to top
View user's profile Send private message Visit poster's website 
technosaurus


Joined: 18 May 2008
Posts: 4351

PostPosted: Sat 24 Apr 2010, 12:15    Post subject:  

I renamed the 1.40 lib and gzipped it - just gunzip it into /usr/lib
libboost_program_options-gcc42-1_34_1.so.1.34.1.gz
Description 
gz

 Download 
Filename  libboost_program_options-gcc42-1_34_1.so.1.34.1.gz 
Filesize  102.11 KB 
Downloaded  562 Time(s) 

_________________
Web Programming - Pet Packaging 100 & 101
Back to top
View user's profile Send private message 
Whitesnow


Joined: 20 Nov 2007
Posts: 103
Location: Italy

PostPosted: Sun 25 Apr 2010, 05:53    Post subject:  Other libs missing!  

Hi and thanks for the library, but I found that is not the only one Wengo ask me.

# qtwengophone
qtwengophone: error while loading shared libraries: libboost_regex-gcc42-1_34_1.so.1.34.1: cannot open shared object file: No such file or directory

I found a generic *regex.so in /usr/lib and rename it. Could be the right version (latest stable Puppy installed)?

I checked dependencies with Puppy, but it didn't help. So, I made a "ldd" on every libraries in Wengo packet (I don't know if there is a quick way to do).
Here you are results (I only pasted not found libs):

# ldd libowwebcam.so
libboost_serialization-gcc42-1_34_1.so.1.34.1 => not found
libboost_signals-gcc42-1_34_1.so.1.34.1 => not found
libboost_thread-gcc42-mt-1_34_1.so.1.34.1 => not found
#
# ldd libphapi.so
libboost_serialization-gcc42-1_34_1.so.1.34.1 => not found
libboost_signals-gcc42-1_34_1.so.1.34.1 => not found
libboost_thread-gcc42-mt-1_34_1.so.1.34.1 => not found
libboost_serialization-gcc42-1_34_1.so.1.34.1 => not found
libboost_signals-gcc42-1_34_1.so.1.34.1 => not found
libboost_thread-gcc42-mt-1_34_1.so.1.34.1 => not found
libswscale.so.0 => not found
#
# ldd libsfp-plugin.so
libboost_serialization-gcc42-1_34_1.so.1.34.1 => not found
libboost_signals-gcc42-1_34_1.so.1.34.1 => not found
libboost_thread-gcc42-mt-1_34_1.so.1.34.1 => not found
libboost_serialization-gcc42-1_34_1.so.1.34.1 => not found
libboost_signals-gcc42-1_34_1.so.1.34.1 => not found
libboost_thread-gcc42-mt-1_34_1.so.1.34.1 => not found
libswscale.so.0 => not found
libboost_serialization-gcc42-1_34_1.so.1.34.1 => not found
libboost_signals-gcc42-1_34_1.so.1.34.1 => not found
libboost_thread-gcc42-mt-1_34_1.so.1.34.1 => not found
libswscale.so.0 => not found
#

Thanks again & bye.

_________________
*.* Snow *.* Wink
My repo: http://qualapinna.dyndns.org/repo
My blog: http://qualapinna.dyndns.org
Back to top
View user's profile Send private message Visit poster's website 
technosaurus


Joined: 18 May 2008
Posts: 4351

PostPosted: Sun 25 Apr 2010, 20:21    Post subject:  

here are the rest of your boost packages - you'll have to rename/symlink them

libswscale may be with one of the more recent and probably larger ffmpeg packages... or get it where you go wengo
booster.tar.bz2
Description 
bz2

 Download 
Filename  booster.tar.bz2 
Filesize  438.75 KB 
Downloaded  537 Time(s) 

_________________
Web Programming - Pet Packaging 100 & 101
Back to top
View user's profile Send private message 
Whitesnow


Joined: 20 Nov 2007
Posts: 103
Location: Italy

PostPosted: Tue 27 Apr 2010, 09:29    Post subject: All libs present, but...  

Hi, I put your libraries and libswscale0_0.svn20080206-18+lenny1_i386.deb (although it was only for Debian, marked "security" - Am I do wrong?), but...

# qtwengophone
qtwengophone: /usr/lib/libcurl.so.4: no version information available (required by qtwengophone)
qtwengophone: /usr/lib/libcurl.so.4: no version information available (required by /usr/lib/wengophone/libphapi.so)
qtwengophone: /usr/lib/libssl.so.0.9.8: no version information available (required by /usr/lib/wengophone/libphapi.so)
qtwengophone: /usr/lib/libcrypto.so.0.9.8: no version information available (required by /usr/lib/wengophone/libphapi.so)
qtwengophone: symbol lookup error: qtwengophone: undefined symbol: _ZN5boost7archive6detail27archive_pointer_iserializerINS0_12xml_iarchiveEE4findERKNS_13serialization18extended_type_infoE
#

Crying or Very sad
I ask your advice...

Thanks and bye.

_________________
*.* Snow *.* Wink
My repo: http://qualapinna.dyndns.org/repo
My blog: http://qualapinna.dyndns.org
Back to top
View user's profile Send private message Visit poster's website 
technosaurus


Joined: 18 May 2008
Posts: 4351

PostPosted: Tue 27 Apr 2010, 10:17    Post subject:  

I would suggest a recompile, different wengo package (preferably slackware) or use debian lenny's boost libs... they have a tendency to patch things up specific to debian

the curl ssl and crypto messages are probably ok but the really long boost symbol doesn't even come up on google (though its name gives hints to what it is)

_________________
Web Programming - Pet Packaging 100 & 101
Back to top
View user's profile Send private message 
Whitesnow


Joined: 20 Nov 2007
Posts: 103
Location: Italy

PostPosted: Wed 28 Apr 2010, 09:34    Post subject:  

Hi, I downloaded wengophone-2.1.1-i686-1as.tgz (from Slackware) and WengoPhone-2.1.2-linux-bin-x86.tar.bz2 (from Gentoo).
In both ones, language is the problem. How to specify, before the program starts, that I want Italian language?
If possible, I'd like to use the second package because is more recent.

Launching first, Slackware one (usr/share/wengophone/lang/qtwengophone_it.qm is lang pack that I would):

# wengophone
./qtwengophone: /usr/lib/libcrypto.so.0.9.8: no version information available (required by /usr/share/wengophone/libphapi.so)
./qtwengophone: /usr/lib/libssl.so.0.9.8: no version information available (required by /usr/share/wengophone/libphapi.so)
(info) 14:56:53 Wenbox::Wenbox(): Wenbox dll not loaded
PCM.A2DPD[14:56:53.674]: _snd_pcm_a2dpd_open: (errno=16:Device or resource busy)AlsaVersion=1.0.14, Opened for Capture
Aborted
# dumpfile = /usr/share/wengophone/WengoPhone-2.1-rev11641-20100428145653.core
name = WengoPhone-2.1
No lang specified
No info specified

Launching second, Gentoo one (~/WengoPhone-2.1.2-minsizerel/lang/qtwengophone_it.qm is lang pack that I would):

# LD_LIBRARY_PATH=. ./qtwengophone &
[1] 18868
# (info) 15:03:36 Wenbox::Wenbox(): Wenbox dll not loaded
PCM.A2DPD[15:03:36.987]: _snd_pcm_a2dpd_open: AlsaVersion=1.0.14, Opened for Capture
dumpfile = /root/lab/WengoPhone-2.1.2-minsizerel/WengoPhone-2.1-rev12357-20100428150336.core
name = WengoPhone-2.1
No lang specified
No info specified

Please note that the second launching syntax is from http://208.109.22.214/puppy/viewtopic.php?t=22486, not mine (I suppose "LD_LIBRARY_PATH=." is to say to the program to find in the same dir its libs, "./qtwengophone" to launch... And "&" is for??)

Thank you again!

Bye.

_________________
*.* Snow *.* Wink
My repo: http://qualapinna.dyndns.org/repo
My blog: http://qualapinna.dyndns.org
Back to top
View user's profile Send private message Visit poster's website 
technosaurus


Joined: 18 May 2008
Posts: 4351

PostPosted: Wed 28 Apr 2010, 10:24    Post subject:  

This thread has some other clients that are known to work (yate, linphone, skype...)
http://murga-linux.com/puppy/viewtopic.php?t=53248

Edit: I looked at the new website (qutecom.org) and went through the list of 3rd party libraries in their online trac version control system... wow what a HUGE number of dependencies... combined they would be the size of the entire Puppy distro http://trac.qutecom.org/browser/libs

I have most of them except libpurple (I gave up on that one, but don't recall why) Is there a specific purpose you are shooting for?... because it may be possible to compile it without support for things that you don't need.

_________________
Web Programming - Pet Packaging 100 & 101
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [8 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0651s ][ Queries: 13 (0.0049s) ][ GZIP on ]